<div class="p-2">
  <p-breadcrumb [home]="isEdit?
  {icon: 'pi pi-home', label: ' Sentencia', routerLink: '../../',queryParams: isView?{visualizar:true}:{} }:
  {icon: 'pi pi-home', label: ' Sentencia', routerLink: '../' }" [model]="[{ icon: 'pi pi-book', 
  label: asunto+' Causas de improcedencia y de sobreseimiento analizadas (Votación)', routerLink: './',queryParams: isView?{visualizar:true}:{} }
  ]">
  </p-breadcrumb>
</div>
<form>
  <div class="card p-3">
    <div class="d-flex justify-content-between mt-2">
      <a [routerLink]="[isEdit?'../../':'../']" [queryParams]="isView?{visualizar:true}:{}">
        <p-button styleClass="p-button-sm back" label="Volver"></p-button>
      </a>
    </div>

    <div class="form-row">
      <div class="col-12">
        <p-fieldset legend="Votación relacionada con causas de improcedencia y de sobreseimiento analizadas">
          <div class="row">
            <div class="col-12">
              <label for="">Texto votación:</label>
              <textarea cols="10" rows="5" class="form-control" [(ngModel)]="causasImprocedencia.votacion.textoVotacion"
                name="textoV" id="textoV"></textarea>
              <div class="d-flex justify-content-end mt-2">
                <p-button [ngClass]="{'collapse': isView}" styleClass="p-button-sm" label="Analizar texto"
                  (onClick)="processText()"></p-button>
              </div>
            </div>
            <label for="" class="col-12">Votación:</label>
            <div class="col-6">
              <div class="head-votacion d-flex px-3 py-1">
                <p-checkbox (onChange)="markAllFavor($event)"></p-checkbox>
                <p class="text-center w-100">Votación a favor ({{causasImprocedencia.votacion.votacionFavor.length}})
                </p>
              </div>
              <div class="list p-2">
                <div [ngClass]="{'disabled':causasImprocedencia.votacion.votacionEnContra.includes(vFavor)}"
                  class="list-item d-flex align-items-center" style="gap: 10px;"
                  *ngFor="let vFavor of causasImprocedencia.votacion.ministros">
                  <p-checkbox name="group2" value="vFavor" [value]="vFavor"
                    [(ngModel)]="causasImprocedencia.votacion.votacionFavor" [inputId]="vFavor+'favor'"></p-checkbox>
                  <label [for]="vFavor+'favor'" class="mb-0">{{vFavor}}</label>
                </div>
              </div>
            </div>
            <div class="col-6">
              <div class="head-votacion d-flex px-3 py-1">
                <p-checkbox (onChange)="markAllContra($event)"></p-checkbox>
                <p class="text-center w-100">Votación en contra
                  ({{causasImprocedencia.votacion.votacionEnContra.length}})</p>
              </div>
              <div class="list p-2">
                <div [ngClass]="{'disabled':causasImprocedencia.votacion.votacionFavor.includes(vContra)}"
                  class="list-item d-flex align-items-center" style="gap: 10px;"
                  *ngFor="let vContra of causasImprocedencia.votacion.ministros">
                  <p-checkbox name="group3" value="vContra" [value]="vContra"
                    [(ngModel)]="causasImprocedencia.votacion.votacionEnContra" [inputId]="vContra+'contra'">
                  </p-checkbox>
                  <label [for]="vContra+'contra'" class="mb-0">{{vContra}}</label>
                </div>
              </div>
            </div>
          </div>
        </p-fieldset>
      </div>
    </div>
  </div>
  <div class="card p-3" *ngIf="isEdit">
    <div class="form-row">
      <div class="col-12">
        <label for="">Rubros temáticos:</label>
        <div class="row m-0">
          <div class="col-4 bg-cell">Análisis de procedencia</div>
          <div class="col-8 bg-cell">Rubro</div>
        </div>
        <div class="list">
          <div class="row m-0 list-item-rubro"
            *ngFor="let rubro of causasImprocedencia.votacion.rubrosTematicos; let i = index;">
            <div class="col-4">
              <span class="item-analisis">
                {{ rubro.analisisProcedencia.join(' - ') }}
              </span>
            </div>
            <div class="col-8">
              <p class="item-rubro" *ngFor="let rub of rubro.rubrosTematicos; let i= index">
                {{i+1}}. {{rub}}
              </p>
            </div>
            <div class="list-options">
              <i [ngClass]="{'collapse': isView}" class="pi pi-trash c-del"
                (click)="deleteRubro($event,rubro.id,i)"></i>
              <i [ngClass]="{'collapse': isView}" class="pi pi-pencil" (click)="editRubroTematico(rubro,i)"></i>
            </div>
          </div>
        </div>
        <div class="d-flex justify-content-end">
          <p-button [ngClass]="{'collapse': isView}" styleClass="p-button-sm" label="Agregar rubro"
            (onClick)="openModal()">
          </p-button>
        </div>
      </div>
    </div>
  </div>
  <div class="card p-3">
    <div class="form-row">
      <div class="col-12" *ngIf="isEdit">
        <label for="">Acto(s) Impugnado(s):</label>
        <ng-multiselect-dropdown [settings]="configDropdown" [data]="actos" name="actos" id="actos"
          placeholder="Selecciona el acto(s) Impugnado(s)"
          [(ngModel)]="causasImprocedencia.votacion.articulosImpugnados">
        </ng-multiselect-dropdown>
      </div>
      <div class="col-12" *ngIf="isEdit">
        <label for="">Sentido de la resolución</label>
        <p-dropdown [options]="catalogos.sentidoResolucion" optionLabel="nombre" optionValue="nombre"
          placeholder="Selecciona el sentido de la resolución" name="sentido" id="sentido"
          [(ngModel)]="causasImprocedencia.votacion.sentidoResolucion" styleClass="w-100">
        </p-dropdown>
      </div>
    </div>

    <div class="d-flex justify-content-between mt-2">
      <a [routerLink]="[isEdit?'../../':'../']" [queryParams]="isView?{visualizar:true}:{}">
        <p-button styleClass="p-button-sm back" label="Volver"></p-button>
      </a>
      <p-button [ngClass]="{'collapse': isView}" styleClass="p-button-sm" [icon]="isEdit? 'pi pi-book': 'pi pi-save'"
        [label]="isEdit? 'Actualizar' : 'Guardar'" (onClick)="isEdit? actualizarCausa() : guardarCausas()"></p-button>
    </div>
  </div>
</form>

<p-dialog header="Rubros temáticos" [(visible)]="viewDisplay" [breakpoints]="{'70vw': '80vw'}" [style]="{width: '60vw'}"
  [draggable]="false" [resizable]="false" [modal]="true">
  <form>
    <div class="form-row">
      <div class="col-12">
        <label for="">Análisis de procedencia</label>
        <ng-multiselect-dropdown [data]="catalogos.causaImprocedencia" name="procedencia" id="procedencia"
          [(ngModel)]="votacionRubro.analisisProcedencia" placeholder="Seleccione los análisis de procedencia"
          [settings]="configDropdown">
        </ng-multiselect-dropdown>
      </div>
      <div class="col-12">
        <label for="">Rubros temáticos:</label>
        <textarea cols="30" rows="4" class="form-control" placeholder="Escribe aquí..." [(ngModel)]="rubros"
          name="rubros" id="rubros"></textarea>
        <div class="d-flex justify-content-end my-2">
          <p-button styleClass="p-button-sm" [label]="indexText ==-1? 'Agregar rubro' : 'Actualizar rubro'"
            (onClick)="indexText == -1 ? agregarRubrosTematicos() : updateRubro()"></p-button>
        </div>
        <div class="list p-3" style="height: 200px;">
          <div class="list-item-rubro" *ngFor="let rubrosTem of votacionRubro.rubrosTematicos; let i = index;">
            <div class="list-options">
              <i class="pi pi-trash c-del" (click)="votacionRubro.rubrosTematicos.splice(i,1)"></i>
              <i class="pi pi-pencil" (click)="editRubroTematicoText(rubrosTem,i)"></i>
            </div>
            <p class="item-rubro">{{(i+1) + '. ' + rubrosTem}}</p>
          </div>
        </div>
      </div>
    </div>
  </form>
  <ng-template pTemplate="footer">
    <p-button styleClass="p-button-sm" (click)="indexOfRubro == -1 ? crearRubro() : actualizarRubro()"
      [label]="indexOfRubro == -1? 'Guardar' : 'Actualizar'"></p-button>
  </ng-template>
</p-dialog>

<p-confirmPopup></p-confirmPopup>
